generate.hpp File Reference

## Typedefs

template<typename O , typename F >
using | ranges::generate_result = detail::out_fun_result< O, F >

## Functions

template<typename O , typename S , typename F >
CPP_TEMPLATE_AUX_0 | ranges::g (requires ` invocable< F & > &&output_iterator< O, invoke_result_t< F & >> &&sentinel_for< S, O >) gggenerate_result< O
| function template `generate_n`
template<typename Rng , typename F >
CPP_TEMPLATE_AUX_0 | ranges::g (requires ` invocable< F & > &&output_range< Rng, invoke_result_t< F & >>) gggenerate_result< borrowed_iterator_t< Rng >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 F | ranges::generate (O first, S last, F fun)
CPP_TEMPLATE_AUX_0 F | ranges::generate (Rng &&rng, F fun)